API reference / Operations by tag
goals
Conversion goals (events) of an offer.
5 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.
Operations
| Method | Path | Summary |
|---|---|---|
| GET | /goals/{id} | Get Goal |
| PATCH | /goals/{id} | Update Goal |
| DELETE | /goals/{id} | Delete Goal |
| GET | /offers/{id}/goals | List offer goals |
| POST | /offers/{id}/goals | Create offer goal |
GET /goals/{id}
Get Goal
Operation getGoalsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl 'https://api.metrixed.com/v1/goals/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"external_ref": ""
}
PATCH /goals/{id}
Update Goal
Operation patchGoalsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body (application/json, required): GoalUpdate
| Field | Type | Flags | Description |
|---|---|---|---|
name | string | ||
key | string | ||
type | enum: public, private, partner_specific | ||
is_base_conversion | boolean | ||
partner_ids | array of string | ||
event_category | enum: install, registration, lead, sale, deposit, ftd, subscription, trial, purchase, level, retention, custom | ||
revenue_semantics | enum: fixed, from_sale_amount, from_param | ||
track_multi | boolean | ||
is_postback_disabled | boolean | ||
is_enforce_caps | boolean | ||
is_must_approve | boolean | ||
is_allow_duplicate | boolean | ||
default_status | enum: approved, pending, rejected, cancelled | ||
blacklist_postback_partners | array of string | ||
whitelist_postback_partners | array of string | ||
kpi_window_days | integer | ||
validation_rules | array of object (free-form) | ||
global_advertiser_event_id | string |
curl -X PATCH 'https://api.metrixed.com/v1/goals/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"name":"","key":"","type":"public","is_base_conversion":false}'
Example 200 response:
{
"external_ref": ""
}
DELETE /goals/{id}
Delete Goal
Operation deleteGoalsId. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl -X DELETE 'https://api.metrixed.com/v1/goals/<id>' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 204 response:
{
"ok": false
}
GET /offers/{id}/goals
List offer goals
Operation getOffersIdGoals. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
curl 'https://api.metrixed.com/v1/offers/<id>/goals' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
{
"data": [
{}
],
"page": {}
}
POST /offers/{id}/goals
Create offer goal
Operation postOffersIdGoals. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body (application/json, required): GoalCreate
| Field | Type | Flags | Description |
|---|---|---|---|
name | string | required | |
key | string | required | |
type | enum: public, private, partner_specific | ||
is_base_conversion | boolean | ||
partner_ids | array of string | ||
event_category | enum: install, registration, lead, sale, deposit, ftd, subscription, trial, purchase, level, retention, custom | ||
revenue_semantics | enum: fixed, from_sale_amount, from_param | ||
track_multi | boolean | ||
is_postback_disabled | boolean | ||
is_enforce_caps | boolean | ||
is_must_approve | boolean | ||
is_allow_duplicate | boolean | ||
default_status | enum: approved, pending, rejected, cancelled | ||
blacklist_postback_partners | array of string | ||
whitelist_postback_partners | array of string | ||
kpi_window_days | integer | ||
validation_rules | array of object (free-form) | ||
global_advertiser_event_id | string |
curl -X POST 'https://api.metrixed.com/v1/offers/<id>/goals' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"name":"","key":""}'
Example 201 response:
{
"external_ref": ""
}